<?php
/***
** Introduction Section
***/

$siska_hide_intro = get_theme_mod('siska_intro_hide','1');

if( $siska_hide_intro == '' ){

	$getintrosbttl = get_theme_mod('siska_intro_ttl');
	$getintrobtn = get_theme_mod('siska_intro_more');

	echo '<section class="introduction"><div class="aligner">';
		if( get_theme_mod( 'siska_intro' ) !='' ){
			echo '<div class="flex ac">';
			$introquery = new WP_Query(array('page_id' => get_theme_mod( 'siska_intro' )));
			while( $introquery->have_posts() ) : $introquery->the_post();
				if( has_post_thumbnail() ){
					$src = wp_get_attachment_image_src( get_post_thumbnail_id($post_id), 'full' );
					$url = $src[0];
					$image_id = get_post_thumbnail_id();
					$image_alt = get_post_meta($image_id, '_wp_attachment_image_alt', true);
				}
				if( !empty( $getintrobtn ) ){
					$hold_intromore = '<div class="read-more"><a href="'.get_the_permalink().'">'.$getintrobtn.'</a></div>';
			  }
			  	echo '<div class="intro-right"><img src="'.$url.'" alt="'.$image_alt.'"></div><!-- intro right -->';
				echo '<div class="intro-left"><h4>'.$getintrosbttl.'</h4><h2>'.get_the_title().'</h2><p>'.get_the_excerpt().'</p>'.$hold_intromore.'</div><!-- intro left -->';
			endwhile;
			echo '</div>';
		}
	echo '</div><!-- aligner --></section><!-- introduction -->';
}
?>